package com.engine.salary.report.enums;

import com.engine.salary.enums.BaseEnum;

public enum UnitTypeEnum implements BaseEnum<Integer> {
    empty(0, 152745, ""),
    REN(1, 157087, "人"),
    YUAN(2, 152739, "元"),
    QIAN(3, 157088, "千"),
    WAN(5, 152745, "万"),
    BAIWAN(4, 152745, "百万"),
    day(6, 152745, "天"),
    month(7, 152745, "月"),
    year(8, 152745, "年"),
    second(9, 152745, "秒"),
    minute(10, 152745, "分钟"),
    hour(11, 152745, "小时");


    private Integer value;

    private Integer labelId;

    private String defaultValue;

    UnitTypeEnum(Integer item, Integer labelId, String defaultValue) {
        this.value = item;
        this.labelId = labelId;
        this.defaultValue = defaultValue;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    public Integer getLabelId() {
        return labelId;
    }

    @Override
    public String getDefaultLabel() {
        return defaultValue;
    }
}
